com.brightcove.player.analytics

## Interface IAnalyticsHandler

- All Superinterfaces:
    IHandler
  All Known Implementing Classes:
    DefaultAnalyticsHandler

      public interface IAnalyticsHandler
      extends IHandler

  Contract of the class that handle incoming analytics events.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `IAnalyticsHandler.ProcessListener` A listener that can receive callback notification from the `DefaultAnalyticsHandler` after processing an event.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onAnalyticsEvent(com.brightcove.player.analytics.AnalyticsEvent event, IAnalyticsErrorListener errorHandler)` This method will be called by the `AnalyticsClient`, when an analytics event is received from the application.
    `void` | `onNetworkEntitlementChanged(int type, boolean enabled)` This method will be called when the entitlement for specific network has been changed.

    - ### Methods inherited from interface com.brightcove.player.network.IHandler

      `onAttached, onRemoved`

- - ### Method Detail

    - #### onAnalyticsEvent

          void onAnalyticsEvent(@NonNull
                                com.brightcove.player.analytics.AnalyticsEvent event,
                                @Nullable
                                IAnalyticsErrorListener errorHandler)

      This method will be called by the `AnalyticsClient`, when an analytics event is received from the application.
      Parameters:
        `event` - the analytics client.
        `errorHandler` - reference to analytics error listener, if any.

    - #### onNetworkEntitlementChanged

          void onNetworkEntitlementChanged(int type,
                                           boolean enabled)

      This method will be called when the entitlement for specific network has been changed.
      Parameters:
        `type` - the network type
        `enabled` - true if the network is entitled for analytics transmission, otherwise false.